package com.keao.edu.user.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2020.07.02
 */
public class BaseUserInfoDto {

    /** 主键ID */
    private Integer id;

    @ApiModelProperty(value = "手机号",required = false)
    private String phone;

    /** 头像 */
    @ApiModelProperty(value = "头像",required = false)
    private String avatar;

    @ApiModelProperty(value = "真实姓名",required = false)
    private String realName;

    public BaseUserInfoDto() {
    }

    public BaseUserInfoDto(Integer id, String realName) {
        this.id = id;
        this.realName = realName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }
}
